std::_List_node< _Tp >(3cxx)

NAME
std::_List_node< _Tp > - An actual node in the list.

SYNOPSIS

#include <list>

Inherits std::__detail::_List_node_base.

  Public Types

typedef _List_node_base * _Base_ptr
typedef _List_node * _Node_ptr

  Public Member Functions

_List_node_base * _M_base ()
const _List_node_base * _M_base () const
void _M_hook (_List_node_base *const __position) noexcept
_Node_ptr _M_node_ptr ()
void _M_reverse () noexcept
void _M_transfer (_List_node_base *const __first, _List_node_base *const __last) noexcept
void _M_unhook () noexcept
_Tp * _M_valptr ()
_Tp const * _M_valptr () const

  Static Public Member Functions

static void swap (_List_node_base &__x, _List_node_base &__y) noexcept

  Public Attributes

_List_node_base * _M_next
_List_node_base * _M_prev
__gnu_cxx::__aligned_membuf< _Tp > _M_storage

Detailed Description

  template<typename _Tp>
struct std::_List_node< _Tp >"An actual node in the list.

Author

Generated automatically by Doxygen for libstdc++ from the source code.